/**
 * 
 */
package utilities;

/**
 * @author Kon Zakharov, k.zakharov@cosc.canterbury.ac.nz
 */
public enum ActionEnum {
	
	// Drawing actions.
	NEW_STATE ("State", "Create a new state. balls", "state.gif"),
	NEW_CHORIC_BARIC ("", "Create a new isochoric or isobaric transition.", "Trans.gif"),
	NEW_ISOCHORIC ("Isochoric","Create a new isochoric transition.","isochoric.gif"),
	NEW_ISOBARIC ("Isobaric","Create a new isobaric transition.", "isobaric.gif"),
	NEW_ISOTHERMAL ("Isothermal","Create a new isothermal transition.", "isothermal.gif"),
	NEW_ADIABATIC ("Adiabatic","Create a new adiabatic transition", "adiabatic.gif"),
	// Controll actions.
	UNDO ("Undo","Undo the last change.", "Undo24.gif"),
	REDO ("Redo","Redo the last change.", "Redo24.gif"),
	DELETE ("Delete","Delete selected element.", "Delete24.gif"),
	CLEAR ("Clear","Clear the diagram.", "Clear24.gif"),
	RIGHT_CLICK_MENU("Options","Menu options", ""),
	DRAG ("Drag","Drag the object", ""),
	
	// Observable <-> Observer signals.
	EDIT_DONE("Edited","Complete current edit transaction.", "");
	
	public String name;
	public String description;
	public String icon;
	
	ActionEnum(String nm, String desc, String iconName) {
		name = nm;
		description = desc;
		icon = iconName;
	}
}
